DIFF(1)

NAME
diff - print differences between two files

SYNOPSIS
diff [-c | -e | -C n] [-br]file1 file2

OPTIONS

EXAMPLES

DESCRIPTION

Diff compares two files and generates a list of lines telling how the two files differ. Lines may not be longer than 128 characters. If the two arguments on the command line are both directories, diff recursively steps through all subdirectories comparing files of the same name. If a file name is found only in one directory, a diagnostic message is written to stdout. A file that is of either block special, character special or FIFO special type, cannot be compared to any other file. On the other hand, if there is one directory and one file given on the command line, diff tries to compare the file with the same name as file in the directory directory.

SEE ALSO
cdiff(1), cmp(1), comm(1), patch(1).